Package org.eclipse.microprofile.metrics.tck.cdi

## Class GaugeInjectionBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.GaugeInjectionBean

    @ApplicationScoped
    public class GaugeInjectionBean
    extends Object

### Constructor Summary

Constructors
`GaugeInjectionBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getGauge()`
`void` `setGauge​(long gauge)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GaugeInjectionBean

    public GaugeInjectionBean()

### Method Detail

#### getGauge

    public long getGauge()

#### setGauge

    public void setGauge​(long gauge)